apply plugin: PublishJarsPlugin

publishJars {
  artifactId = 'engine-common'
}

repositories {
  mavenCentral()
}

dependencies {
  api project(':engine:api')
  testImplementation project(':test:shared')
  api (group: 'com.googlecode.json-simple', name: 'json-simple', version: '1.1.1') {
    // we don't want to bundle junit from here (we're not testing json-simple)
    exclude group: 'junit', module: 'junit'
  }
  api group: 'org.geotools', name: 'gt-epsg-hsql', version: project.property('geotoolsVersion')

}
